Patch contact info (identity pre-start only; timezone any time)
curl --request PATCH \
--url https://origami.chat/api/v3/send/campaigns/{campaign_id}/people/{sequence_id}/contact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"linkedin_url": "<string>",
"website_url": "<string>",
"picture_url": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://origami.chat/api/v3/send/campaigns/{campaign_id}/people/{sequence_id}/contact"
payload = {
"email": "jsmith@example.com",
"linkedin_url": "<string>",
"website_url": "<string>",
"picture_url": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
linkedin_url: '<string>',
website_url: '<string>',
picture_url: '<string>',
timezone: '<string>'
})
};
fetch('https://origami.chat/api/v3/send/campaigns/{campaign_id}/people/{sequence_id}/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}People
Update contact details
Patch contact info (identity pre-start only; timezone any time)
PATCH
/
send
/
campaigns
/
{campaign_id}
/
people
/
{sequence_id}
/
contact
Patch contact info (identity pre-start only; timezone any time)
Authorizations
API key: Authorization: Bearer og_live_...
Body
application/json
Response
Success
The response is of type object.